package com.thebrokenrail.twine.util;

import com.thebrokenrail.twine.Twine;
import net.minecraft.text.Text;
import net.minecraft.text.TranslatableText;
import net.minecraft.util.Formatting;

import java.util.List;

public class ItemUtil {
    public static void addTooltip(String type, String name, int lines, List<Text> tooltip) {
        for (int i = 0; i < lines; i++) {
            tooltip.add(new TranslatableText(type + '.' + Twine.NAMESPACE + '.' + name + ".tooltip_" + (i + 1)).formatted(Formatting.GRAY));
        }
    }
}
